Skip to main content
`Ctrl`+`K`

# MatSetVecType

Set the vector type the matrix will return with `MatCreateVecs()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetVecType(Mat mat, VecType vtype)

Collective

## Input Parameters

- mat - the matrix object

- vtype - vector type

## Note

This is rarely needed in practice since each matrix object internally sets the proper vector type.

## See Also

Matrices, `Mat`, `VecType`, `VecSetType()`, `MatGetVecType()`

## Level

advanced

## Location

src/mat/interface/matreg.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages